﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Linq;
using System.Threading;

namespace TTEFCore5
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Preparing database...");
            using AppDbContext context = new();
            context.Database.EnsureDeleted();
            context.Database.Migrate();

            Console.WriteLine("Adding entity...");

            Person person = new() { Name = "Important" };

            context.People.Add(person);
            context.SaveChanges();

            Console.WriteLine(person);

            Thread.Sleep(1000);

            Console.WriteLine("Modyfing entity...");

            person.Name = "Important person";
            context.SaveChanges();

            Console.WriteLine(person);

            Thread.Sleep(1000);

            person.Name = "Mr President";
            context.SaveChanges();

            Console.WriteLine(person);


            Console.WriteLine("Getting history...");
            var anthonyHistory = context.People.GetHistoryAll("People", person.Id);

            foreach (var h in anthonyHistory)
                Console.WriteLine(h);



            Console.ReadLine();


        }
    }
}



